%define oname   test-spec

Name:       ruby-%{oname}
Version:    0.10.0
Release:    %mkrel 2
Summary:    A Behaviour Driven Development interface for Test::Unit
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        http://test-spec.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildArch:  noarch
Requires:   ruby(abi) = 1.8

%description
test/spec layers an RSpec-inspired interface on top of Test::Unit, so you can
mix TDD and BDD (Behavior-Driven Development).  test/spec is a clean-room
implementation that maps most kinds of Test::Unit assertions to a
`should'-like syntax.

%files
%defattr(-, root, root, -)
%{_bindir}/specrb
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Documentation
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/SPECS
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ROADMAP
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}

%check
rake test



%changelog
* Tue Jan 25 2011 shikamaru <shikamaru> 0.10.0-2.mga1
+ Revision: 39645
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 0.10.0-1.mga1
+ Revision: 36995
- imported package ruby-test-spec


* Thu Jan 20 2011 Remy CLOUARD <shikamaru@mandriva.org> - 0.10.0-1mdv2011.0
- Initial package
